Page MenuHomePhabricator

Prepare and check storage layer for avkwiki
Closed, ResolvedPublic

Description

The new wiki is going to be public.

Event Timeline

Urbanecm created this task.Jul 15 2020, 3:51 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 15 2020, 3:51 PM
Marostegui triaged this task as Medium priority.Jul 16 2020, 5:18 AM
Marostegui edited projects, added Data-Services; removed Cloud-Services.
Marostegui moved this task from Triage to Blocked external/Not db team on the DBA board.
Marostegui added subscribers: Kormat, Marostegui.

Let us know when the database is created

Sure. Should I add different project when creating this task? I added this one according to the Add a wiki doc page at Wikitech.

I believe the one to add is Data-Services instead of Cloud-Services , but @bd808 or @Bstorm will know better

Sounds like the wikitech page needs an update! I'll go do that. Data-Services is the main one for tracking, and cloud-services-team (Kanban) is what you want to get my team to be sure to see it.

Bstorm moved this task from Backlog to Wiki replicas on the Data-Services board.Jul 16 2020, 2:37 PM

The tags on the wikitech page are updated!

This wiki will be created on s5

The database was just created (on s5, as requested).

Thanks - I will sanitize it

Marostegui removed Marostegui as the assignee of this task.Jul 30 2020, 8:55 AM
Marostegui moved this task from Blocked external/Not db team to Done on the DBA board.

This has been executed on labsdb1009-labsdb1012:

set session sql_log_bin=0; create database avkwiki_p; GRANT SELECT, SHOW VIEW ON `avkwiki\_p`.* TO 'labsdbuser';

This is ready for cloud-services-team for the views creation on labsdb1009, 1010, 1011 and 1012

I created the views and confirmed it's existence on toolforge. Should be all set!

sql avkwiki
show tables;
select * from revision limit 10;
nskaggs closed this task as Resolved.Jul 31 2020, 6:56 PM